org.pentaho.reporting.libraries.resourceloader.factory.image

## Class ImageResourceFactory

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.factory.AbstractResourceFactory
  - - org.pentaho.reporting.libraries.resourceloader.factory.image.ImageResourceFactory

All Implemented Interfaces:
  ResourceFactory

    public class ImageResourceFactory
    extends AbstractResourceFactory

Creation-Date: 05.04.2006, 17:59:50

Author:
  Thomas Morgner

### Field Summary

### Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.ResourceFactory

`CONFIG_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`ImageResourceFactory()`

### Method Summary

Methods
`static ImageResourceFactory` `getInstance()`

### Methods inherited from class org.pentaho.reporting.libraries.resourceloader.factory.AbstractResourceFactory

`create, getFactoryType, initializeDefaults, registerModule, registerModule`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageResourceFactory

    public ImageResourceFactory()

### Method Detail

#### getInstance

    public static ImageResourceFactory getInstance()